#
# spec file for package python-repoze.lru
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-repoze.lru
Version:        0.7
Release:        4.1
Summary:        A tiny LRU cache implementation and decorator
License:        SUSE-Repoze
Group:          Development/Languages/Python
URL:            http://www.repoze.org
Source:         https://files.pythonhosted.org/packages/source/r/repoze.lru/repoze.lru-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
repoze.lru is a LRU (least recently used) cache implementation.  Keys and
values that are not used frequently will be evicted from the cache faster
than keys and values that are used frequently.  It works under Python 2.5,
Python 2.6, Python 2.7, and Python 3.2.

%prep
%setup -q -n repoze.lru-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%files %{python_files}
%license LICENSE.txt
%dir %{python_sitelib}/repoze
%{python_sitelib}/repoze/lru
%{python_sitelib}/repoze[._]lru-%{version}*-info
%{python_sitelib}/repoze[._]lru-%{version}*nspkg.pth

%changelog
* Wed Jun 11 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Fri Jun  9 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed Nov 15 2017 dmueller@suse.com
- update to 0.7
* Thu Jun 29 2017 tbechtold@suse.com
- convert to singlespec
- update Source url
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sat Sep  8 2012 os-dev@jacraig.com
- Update to 0.6:
  * Added a 'CacheMaker' helper class:  a maker keeps references (by name)
    to the caches it creates, to permit them to be cleared.
  * Added statistics to each cache, tracking lookups, hits, misses, and
    evictions.
  * Automated building Sphinx docs and testing example snippets under ``tox``.
  * Added Sphinx documentation.
  * Dropped support for Python 2.5.
  * Added support for PyPy.
  * Added ``setup.py docs`` alias (installs ``Sphinx`` and dependencies).
  * Added ``setup.py dev`` alias (runs ``develop`` plus installs ``nose``
    and ``coverage``).
  * Added support for CI under supported Pythons using ``tox``.
  * Bug: Remove potential race condition on lock in face of interrupts
    (Issue #10).
* Tue Apr 17 2012 cfarrell@suse.com
- license update: SUSE-Repoze
  Use this identifier to refer to (exactly) the Repoze Public License
* Mon Apr 16 2012 saschpe@suse.de
- Initial version
